/**
	constuct_methods.cpp
	Purpose: Help methods that are used during construction of the index

	@author Thomas Büchler
*/

#include <iostream>
#include "construct_methods.hpp"

using namespace sdsl;
using namespace std;


/**
 * \brief caclulates how many bits are needed to represent x
 * \param x a integer number * 
 * \return  floor(log_2(x))+1 (1 if x = 0)
 */
int bitsneeded (unsigned int x) {
  int ret = 1; 
  while( 1 < x){
    x  >>= 1;
    ret  += 1;    
  }
  return ret;
};

int_vector<0> invertVector(const int_vector<0> & vector){
  int_vector<0> inverse = int_vector<0>(vector.size(),0,vector.width());  
  for(unsigned int i = 0; i < vector.size(); i++)  
    inverse[vector[i]] = i;  
  return move(inverse);
};
