/**
	iupac_meth.hpp
	Purpose: Help methods to handle IUPAC letters and comparision

	@author Thomas Büchler
*/
#include <string>

/**
 * this file contains the signatures of methods that provide functions to handle the iupac code 
 * 
 * The code is the following 
 * (iupacletter possible_bases)
 * A A
 * B CGT
 * C C
 * D AGT
 * G G
 * H ACT
 * K GT
 * M AC
 * N ACGT
 * R AG
 * S CG
 * T T
 * V ACG
 * W AT
 * Y CT
 */


bool		isBase(const char b);
char 		getIUPAC_Letter(const std::string & bases);
std::string	getPossibleIUPAC_Letters(const char base);
std::string 	getLetters(const char upac);
bool 		matches(const char jischar,const char patchar);
char 		inverse_char(char & c);
short iupac_number(const char c );
short iupac_letter(const short n );

char getSNPLetter(const std::string & alt, const char ref);
