/**
	construct_streams.hpp
	Purpose: sore information about log streams

	@author Thomas Büchler
*/

#include <string>
#include <fstream>
#include <time.h>

#ifndef CONSTREAMS_H
#define CONSTREAMS_H

/**   
 * \brief this struct contains all information about the streams used while the cunstruction
 */
struct construct_streams{
	
	//filenames
  //std::string	err_filename;
  std::string	log_filename;  
  std::string	out_dirname;  
	
	//ofstreams
  std::ofstream	errorlog; 
  std::ofstream	log; 
	
	bool error;
	
	clock_t time;
	
	//constructors
	construct_streams();
	construct_streams(std::string & out_dirname);
	
	//methods
	void close();
	
	void log_error(const std::string & mes);
	
};
#endif
