/**
	matchresult.hpp
	Purpose: Storing the information of the backward search

	@author Thomas Büchler
*/
#include <string>
#include <list>

#include "../structs/searchresult.hpp"

#ifndef MRS_H
#define MRS_H


/** \brief struct for matchresult
 * containing list of searchresults
*/
struct matchresult{
  
  //data
  std::list<searchresult> match_res;
  
  //constructors
  matchresult();
  
  //methods
  void 	add_res(const searchresult srs);
  unsigned int	results();
  unsigned int 	mapped();  
  unsigned int 	twice_mapped();  
  
  //serialisation 
  typedef sdsl::int_vector<>::size_type	size_type;
  size_type	serialize(std::ostream& out, sdsl::structure_tree_node* v,std::string name) const;
  void	load(std::istream& in);  
};
#endif
