/**
	searchresult.hpp
	Purpose: Storing the information of the backward search

	@author Thomas Büchler
*/
#include <string>

#include <sdsl/int_vector.hpp>

#include "../structs/interval_list.hpp"

#ifndef SRS_H
#define SRS_H

/** 
 * 
 * 
 * \brief struct for searchresult 
 * containing search data: name, pattern, qual
 * and result: interval_list  
 */
struct searchresult{
  
  //data
  std::string name;
  std::string pattern;
  std::string qual;
  interval_list ivl;
  
  //constructors
  searchresult();
  searchresult(std::string hname,std::string hpattern,std::string hqual, interval_list hivl);
  
  //methods
  static sdsl::int_vector<8> 	string2vec(const std::string & s );
  static std::string 		vec2string(const sdsl::int_vector<8> & v);    
  
  //serialisation 
  typedef sdsl::int_vector<>::size_type	size_type;
  size_type	serialize(std::ostream& out, sdsl::structure_tree_node* v,std::string name) const;
  void	load(std::istream& in);  
};

#endif
